/**
 * list of values
 */
public class List {

	ListElement head;

	public void insert(ListElement newHead) {
		newHead.next = head;
		head = newHead;
	}

	public void delete() {
		head = head.next;
	}

	public boolean isEmpty() {
		return (head == null);
	}

	public int length() {
		ListElement helperElement = head;
		int l = 0;
		while (helperElement != null) {
			l++;
			helperElement = helperElement.next;
		}
		return l;
	}

	public void show() {
		if (this.isEmpty()) {
		       	System.out.println("An empty list.");
		}
		else {
			ListElement output = head;
			while(output != null) {
				System.out.print(output.toString());
				output = output.getNext();
				if (output != null) {
					System.out.print(", ");
				}
			}
			System.out.println();
		}
	}
}
