/** 
 * An application for testting IntList
 */
public class UseList {

	public static void main(String arg[]) {

		IntList l1 = new IntList();		// create a new IntList (empty)

		l1.show();				// show as created

		l1.insert(new IntListElement(3));	// insert 3
		l1.show();				// show: 3
		System.out.print("Size: ");  
		System.out.println(l1.length()); 	// size is 1

		l1.insert(new IntListElement(4));	// insert 4
		l1.show();				// show: 4, 3
		System.out.print("Size: ");  
		System.out.println(l1.length());	// size is 2

		l1.insert(new IntListElement(5));  	// insert 5,
		l1.insert(new IntListElement(6));	// then 6
		l1.show();				// show: 6, 5, 4, 3
		System.out.print("Size: ");  
		System.out.println(l1.length());	// size is 4

		l1.delete();				// delete 6
		l1.show();				// show: 5, 4, 3
		System.out.print("Size: ");  	
		System.out.println(l1.length());	// size is 3

		l1.delete();				// delete 5,
		l1.delete();				// then 4,
		l1.delete();				// then 3
		l1.show();				// show: empty
		System.out.print("Size: ");  	
		System.out.println(l1.length());	// size: 0
	}
}
